Bug 888169 - SAM : registered a system test using cli 'system register'. removing system via UI failed
SAM : registered a system test using cli 'system register'. removing system v...
Status: CLOSED WORKSFORME
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Tom McKay
Tazim Kolhar
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-12-18 02:31 EST by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-03 13:42:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Remove System failed (119.33 KB, image/png)
2012-12-18 02:31 EST, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2012-12-18 02:31:49 EST
Created attachment 665343 [details]
Remove System failed

Description of problem:
registered few systems using 'headpin system register'.
Tried to remove it via UI 'remove system'.
it failed

Version-Release number of selected component (if applicable):

# rpm -qa | grep katello
katello-selinux-1.2.1-1h.el6_3.noarch
katello-cli-1.2.4-4h.el6_3.noarch
katello-headpin-1.2.6-6h.el6_3.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-common-1.2.6-6h.el6_3.noarch
katello-headpin-all-1.2.6-6h.el6_3.noarch
katello-glue-candlepin-1.2.6-6h.el6_3.noarch
katello-cli-common-1.2.4-4h.el6_3.noarch

How reproducible:
# yum install -y katello-headpin-all
# katello-configure --deployment=sam

Steps to Reproduce:
1.# headpin -u admin -p admin system register --org ACME_Corporation --environment DEV --name test
Successfully registered system [ test ]

2.# headpin -u admin -p admin system register --org ACME_Corporation --environment DEV --name kvm-guest-04.rhts.eng.bos.redhat.com
Successfully registered system [ kvm-guest-04.rhts.eng.bos.redhat.com ]

3.Login to UI. Navigate to System.Remove a system after selection in the left pane 
  
Actual results:
System removal failed

Expected results:
System should be removed successfully

Additional info:
Comment 1 Og Maciel 2013-01-03 13:40:34 EST
[root@qeblade3 ~]# headpin -u admin -p admin system register --org 'São Paulo' --environment zé --name test
Successfully registered system [ test ]
[root@qeblade3 ~]# headpin -u admin -p admin system register --org 'São Paulo' --environment zé --name kvm-guest-04.rhts.eng.bos.redhat.com
Successfully registered system [ kvm-guest-04.rhts.eng.bos.redhat.com ]

Then using UI removed successfully system kvm-guest-04.rhts.eng.bos.redhat.com

* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-11h.el6_3.noarch
* katello-cli-common-1.2.1-11h.el6_3.noarch
* katello-common-1.2.1-10h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.1-10h.el6_3.noarch
* katello-headpin-1.2.1-10h.el6_3.noarch
* katello-headpin-all-1.2.1-10h.el6_3.noarch
* katello-selinux-1.2.1-1h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 2 Tom McKay 2013-01-03 13:42:09 EST
Please re-open with any additional details if this can be reproduced.

Note You need to log in before you can comment on or make changes to this bug.